Bug 474384 - pykickstart does not support creating %include
pykickstart does not support creating %include
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 11:06 EST by James Laska
Modified: 2013-09-02 02:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-12-03 11:06:08 EST
Description of problem:

SNAKE uses pykickstart to allow for kickstart templating and uses pykickstarts ability to version (RHEL3, RHEL4, RHEL5, devel) a kickstart object.

There is support for creating and adding %pre, %post, and %traceback scripts, but no support exists for creating %include statements.  This is needed for kickstart scenarios that need knowledge of the hardware being installed on (common for partitioning and %packages)

The use case in question is trying to validate the ignoredisk stmt and --drives= parameter to clearpart.  In order to test this, a %pre must be used which relies on list-harddrives.  A snippet of my snake template is below...

from pykickstart.parser import Script
from pykickstart.constants import KS_SCRIPT_POST, KS_SCRIPT_PRE

# import snake base kickstart object
from installdefaults import InstallKs

ks=InstallKs()

script = '''
first=""
remaining=""
list-harddrives | while read LINE
do
    if [ -z "$first" ]; then
        first=$1
    else
        remaining="$1,$remaining"
    fi
done

# remove trailing ','
remaining=${remaining%%,}

cat <<EOF>/tmp/ks.partinfo
autopart
clearpart --drives=$first
ignoredisk --drives=$remaining
'''

ks.scripts.append(Script(script, type=KS_SCRIPT_PRE))

What I want to add is something like the following ...

Option#1 - include command (order matters)
===========================================
ks.include(path="/tmp/ks.partinfo")

Option#2 - include script (this seems odd)
===========================================
ks.scripts.append(Script(path="/tmp/ks.partinfo")

Option#3 - add **ksmeta to all commands and have includeFile 
===========================================
ks.autopart(autopart=True, includeFile="/tmp/ks.partinfo")
Comment 1 Chris Lumens 2009-01-20 11:00:19 EST
This should now be supported in pykickstart on commands, scripts, and packages objects.  Passing preceededInclude=<path> to the constructors of any of these objects should get you what you're looking for.

Probably could use better documentation for this, of course.
Comment 2 Bug Zapper 2009-06-09 06:06:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:27:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 06:53:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.